
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单结算表VO
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
public class OrderSettlementVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "支付结算单据ID")
    private Long settlementId;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "支付单号")
    private Long payId;

    @Schema(description = "是否清算 0:否 1:是")
    private Integer isClearing;

    @Schema(description = "支付积分")
    private Long payScore;

    @Schema(description = "支付金额")
    private Long payAmount;

    @Schema(description = "清算时间")
    private Date clearingTime;

    @Schema(description = "版本号")
    private Integer version;

    public Long getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(Long settlementId) {
        this.settlementId = settlementId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Integer getIsClearing() {
        return isClearing;
    }

    public void setIsClearing(Integer isClearing) {
        this.isClearing = isClearing;
    }

    public Long getPayScore() {
        return payScore;
    }

    public void setPayScore(Long payScore) {
        this.payScore = payScore;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Date getClearingTime() {
        return clearingTime;
    }

    public void setClearingTime(Date clearingTime) {
        this.clearingTime = clearingTime;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "OrderSettlementVO{" +
                "settlementId=" + settlementId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",orderId=" + orderId +
                ",payId=" + payId +
                ",isClearing=" + isClearing +
                ",payScore=" + payScore +
                ",payAmount=" + payAmount +
                ",clearingTime=" + clearingTime +
                ",version=" + version +
                '}';
    }
}
